// SaneNumerics		6/21/96
// Header file for SaneNuemrics.c
//

#define OFFSET(type, field)					((int) &((type *) 0)->field)
#define STACKOFFSET(type, A6field, field)	((int) &((type *) 0)->field - (int) &((type *) 0)->A6field)

typedef struct IUStrData {
	short	curChar;
	short	mapChar;
	short	decChar;
	char	bufChar;
	char	justAfter;
	char	ignChar;
	char	noFetch;
	short	strCnt;
	long	strPtr;
} IUStrData;

typedef struct IUSortFrame {
	long	remStrA;			// Holds remaining part of the string A
	short	remLenA;			// Holds remaining length of string A
	short	flag;				// Flag is zero if in first fetch of a pair, one if in second fetch
	char	pad[10];
	char	weakMag;
	char	msLock;
	char	weakEq;
	char	wantMag;
	IUStrData	bInfo;
	IUStrData	aInfo;
	long	oldA6;
	long	returnPtr;
	short	bStrLen;
	short	aStrLen;
	long	bStrText;
	long	aStrText;
} IUSortFrame;

void Init (void);
void Fetch (void);
short RunLen (char *ptr, short remainingLen);
short ComparePartialStrings (IUSortFrame *sortFrame, char * remStrA, char * remStrB, short remLenA, short remLenB);

